/** @file sys_main.c 
*   @brief Application main file
*   @date 11-Dec-2018
*   @version 04.07.01
*
*   This file contains an empty main function,
*   which can be used for the application.
*/

/* 
* Copyright (C) 2009-2018 Texas Instruments Incorporated - www.ti.com 
* 
* 
*  Redistribution and use in source and binary forms, with or without 
*  modification, are permitted provided that the following conditions 
*  are met:
*
*    Redistributions of source code must retain the above copyright 
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the 
*    documentation and/or other materials provided with the   
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/


/* USER CODE BEGIN (0) */
/* USER CODE END */

/* Include Files */

#include "sys_common.h"
#include "system.h"
#include "het.h"
#include "reg_het.h"
#include "gio.h"
#include "reg_gio.h"
#include "errata_SSWF021_45.h"

/* USER CODE BEGIN (1) */

/* N5BRG  240107
 * This program is used to pulse on the three LEDs on PacSat Dev board. Leds will pulse and cycle. */

/* USER CODE END */

/** @fn void main(void)
*   @brief Application main function
*   @note This function is empty by default.
*
*   This function is called after startup.
*   The user can use this function to implement the application.
*/

/* USER CODE BEGIN (2) */
/* USER CODE END */

int main(void)
{
/* USER CODE BEGIN (3) */
    // WDTCTL = WDTPW | WDTHOLD      // stop watchdog timer in TMS570

    //gioSetDirection(hetPORT1, 0xFFFFFFFF);

    //Set LEDS high
   // gio(SetBit(hetPORT1, 0, 0))
   // gio(SetBit(hetPORT1, 1, 1))
   // gio(SetBit(hetPORT1, 2, 0))

    //HET1.0 |= 0x01;                // configure HET1-0 as output
    //HET1.1 |= 0x01;                // configure HET1-1 as output
    //HET1.2 |= 0x01;                // configure HET1-2 as output





    int temp,temp2,delay,delay2;
    /** Delay Parameter */
    delay = 0x200000;
    delay2 = 0x8;

    /* Set HET port pins to output */
    gioSetDirection(hetPORT1, 0xFFFFFFFF);
    while(1)
    {
    /* Set HET port pin 1 high */
    gioSetBit(hetPORT1, 0, 1);
    gioSetBit(hetPORT1, 1, 0);
    gioSetBit(hetPORT1, 2, 1);
    /**
    -
    Simple
    Delay
    */
        for(temp2=0;temp2<delay2;temp2++){
            for(temp=0;temp<delay;temp++);
        }
    /*
    Set HET port pin 1 low
    */
    gioSetBit(hetPORT1, 0, 0);
    gioSetBit(hetPORT1, 1, 1);
    gioSetBit(hetPORT1, 2, 0);
    /* Simple Delay */
        for(temp2=0;temp2<delay2;temp2++){
                for(temp=0;temp<delay;temp++);
        }
    }

/* USER CODE END */

    //return 0;
}


/* USER CODE BEGIN (4) */
void esmGroup1Notification(int bit)
{
    return;
}
void esmGroup2Notification(int bit)
{
    return;
}
/* USER CODE END */
